curl -X GET https://api.razorpay.com/v2/accounts/acc_GLGeLkU2JUeyDZ/stakeholders \
-u <ACCESS_TOKEN> \
RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");
String accountId = "acc_GP4lfNA0iIMn5B";
List<Stakeholder> stakeholder = instance.stakeholder.fetchAll(accountId);
$api = new Api(null, null, "<ACCESS_TOKEN>");
$accountId = "acc_GP4lfNA0iIMn5B";
$stakeholders = $api->account->fetch($accountId)->stakeholders();
$stakeholders->all();
const instance = new Razorpay({
oauthToken: "<ACCESS_TOKEN>"
);
const accountId = "acc_GP4lfNA0iIMn5B";
instance.stakeholders.all(accountId);
require "razorpay"
Razorpay.setup('ACCESS_TOKEN')
accountId = "acc_GP4lfNA0iIMn5B";
Razorpay::Stakeholder.all(accountId);
RazorpayClient client = new RazorpayClient("[ACCESS_TOKEN]");
string accountId = "acc_ua2tBezhcEBvap";
List<Stakeholder> stakeholder = client.Stakeholder.All(accountId);
{
"entity": "collection",
"items": [
{
"id": "GZ13yPHLJof9IE",
"entity": "stakeholder",
"relationship": {
"director": true
},
"phone": {
"primary": "9000090000",
"secondary": "9000090000"
},
"notes": {
"random_key_by_partner": "random_value"
},
"kyc": {
"pan": "AVOPB1111K"
},
"name": "Gaurav Kumar",
"email": "gaurav.kumar@acme.org",
"percentage_ownership": 10,
"addresses": {
"residential": {
"street": "506, Koramangala 1st block",
"city": "Bengaluru",
"state": "Karnataka",
"postal_code": "560034",
"country": "in"
}
}
}
],
"count": 1
}
Stakeholder
Fetch All Stakeholders
Fetch all Stakeholders using Razorpay Partners APIs.
GET
/
v2
/
accounts
/
:account_id
/
stakeholders
curl -X GET https://api.razorpay.com/v2/accounts/acc_GLGeLkU2JUeyDZ/stakeholders \
-u <ACCESS_TOKEN> \
RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");
String accountId = "acc_GP4lfNA0iIMn5B";
List<Stakeholder> stakeholder = instance.stakeholder.fetchAll(accountId);
$api = new Api(null, null, "<ACCESS_TOKEN>");
$accountId = "acc_GP4lfNA0iIMn5B";
$stakeholders = $api->account->fetch($accountId)->stakeholders();
$stakeholders->all();
const instance = new Razorpay({
oauthToken: "<ACCESS_TOKEN>"
);
const accountId = "acc_GP4lfNA0iIMn5B";
instance.stakeholders.all(accountId);
require "razorpay"
Razorpay.setup('ACCESS_TOKEN')
accountId = "acc_GP4lfNA0iIMn5B";
Razorpay::Stakeholder.all(accountId);
RazorpayClient client = new RazorpayClient("[ACCESS_TOKEN]");
string accountId = "acc_ua2tBezhcEBvap";
List<Stakeholder> stakeholder = client.Stakeholder.All(accountId);
{
"entity": "collection",
"items": [
{
"id": "GZ13yPHLJof9IE",
"entity": "stakeholder",
"relationship": {
"director": true
},
"phone": {
"primary": "9000090000",
"secondary": "9000090000"
},
"notes": {
"random_key_by_partner": "random_value"
},
"kyc": {
"pan": "AVOPB1111K"
},
"name": "Gaurav Kumar",
"email": "gaurav.kumar@acme.org",
"percentage_ownership": 10,
"addresses": {
"residential": {
"street": "506, Koramangala 1st block",
"city": "Bengaluru",
"state": "Karnataka",
"postal_code": "560034",
"country": "in"
}
}
}
],
"count": 1
}
Available in🇮🇳 India🇲🇾 Malaysia🇸🇬 Singapore🇺🇸 United States
Use this endpoint to retrieve the details of all stakeholders for a given account. Know about the various error responses for this API.
curl -X GET https://api.razorpay.com/v2/accounts/acc_GLGeLkU2JUeyDZ/stakeholders \
-u <ACCESS_TOKEN> \
RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");
String accountId = "acc_GP4lfNA0iIMn5B";
List<Stakeholder> stakeholder = instance.stakeholder.fetchAll(accountId);
$api = new Api(null, null, "<ACCESS_TOKEN>");
$accountId = "acc_GP4lfNA0iIMn5B";
$stakeholders = $api->account->fetch($accountId)->stakeholders();
$stakeholders->all();
const instance = new Razorpay({
oauthToken: "<ACCESS_TOKEN>"
);
const accountId = "acc_GP4lfNA0iIMn5B";
instance.stakeholders.all(accountId);
require "razorpay"
Razorpay.setup('ACCESS_TOKEN')
accountId = "acc_GP4lfNA0iIMn5B";
Razorpay::Stakeholder.all(accountId);
RazorpayClient client = new RazorpayClient("[ACCESS_TOKEN]");
string accountId = "acc_ua2tBezhcEBvap";
List<Stakeholder> stakeholder = client.Stakeholder.All(accountId);
{
"entity": "collection",
"items": [
{
"id": "GZ13yPHLJof9IE",
"entity": "stakeholder",
"relationship": {
"director": true
},
"phone": {
"primary": "9000090000",
"secondary": "9000090000"
},
"notes": {
"random_key_by_partner": "random_value"
},
"kyc": {
"pan": "AVOPB1111K"
},
"name": "Gaurav Kumar",
"email": "gaurav.kumar@acme.org",
"percentage_ownership": 10,
"addresses": {
"residential": {
"street": "506, Koramangala 1st block",
"city": "Bengaluru",
"state": "Karnataka",
"postal_code": "560034",
"country": "in"
}
}
}
],
"count": 1
}
Path Parameters
The unique identifier of a sub-merchant account generated by Razorpay. For example,
acc_GLGeLkU2JUeyDZ.Response Parameters
The unique identifier of a stakeholder generated by Razorpay, used to fetch or update a stakeholder. For example,
sth_GLGgm8fFCKc92m. Maximum length supported is 18 characters.The stakeholder’s ownership of the business in percentage. Only two decimal places are allowed. For example,
87.55. The maximum length is 100 characters.The stakeholder’s email address. The maximum length is:
- local part (before @): 64 characters.
- domain part (after @): 68 characters.
The total character length supported is 132.
Determines if stakeholder is a director of the account’s legal entity.
true: Stakeholder is a director.false(default): Stakeholder is not a director.
Determines if the stakeholder is an executive of the account’s legal entity.
true: Stakeholder is an executive.false(false): Stakeholder is not an executive.
The primary contact number of the stakeholder. The minimum length is 8 characters and the maximum length is 11.
The secondary contact number of the stakeholder. The minimum length is 8 characters and the maximum length is 11.
The stakeholder’s street address. The minimum length is 10 characters and maximum length is 255.
The country. The minimum length is 2 and maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either
IN or india. List of supported Countries.The PAN number of the stakeholder.
- This is a 10-digit alphanumeric code. For example,
AVOPB1111K. - Regex to validate Stakeholder PAN:
/^[a-zA-z]{5}\d{4}[a-zA-Z]{1}$/ - Validation for Stakeholder PAN: The 4th digit should be ‘P’.
- If the business type is HUF, the karta’s PAN should be provided.
- This API parameter might be required to complete the KYC process, however, it is optional for this API.
Last modified on October 8, 2026
Was this page helpful?